Skip to main content

Duplicate Solution

POST

https://app.smartsuite.com/api/v1/solutions/duplicate/

Copies a Solution. Use the parameters below to set the new Solution's name, the source and target Workspaces, and whether records and comments are copied.

Request Body​

ParamTypeOptionalDescription
solution_idstringNoThe 24-character Id of the Solution to copy.
namestringNoThe name of the new Solution.
from_workspacestringNoThe 8 character Id of the Workspace to copy from.
to_workspacestringNoThe 8 character Id of the Workspace to copy to.
copy_recordsbooleanNotrue to copy records, false to create an empty Solution.
copy_commentsbooleanNotrue to copy comments, false to ignore comments.
Example Request

curl -X POST https://app.smartsuite.com/api/v1/solutions/duplicate/ \
-H "Authorization: Token YOUR_API_KEY" \
-H "ACCOUNT-ID: WORKSPACE_ID" \
-H "Content-Type: application/json" \
--data '{
"solution_id": "{solution_id}",
"name": "Test 1 Copy",
"from_workspace": "WORKSPACE_ID",
"to_workspace": "s25rfeyv",
"copy_records": true,
"copy_comments": true
}'

Response (200)​

Empty Response Body

Example Response (200)
{}